Bug 305931 - gnome-power-manager refuses to let me set the brightness of my backlight manually
gnome-power-manager refuses to let me set the brightness of my backlight manu...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Blocker
  Show dependency treegraph
 
Reported: 2007-09-25 15:08 EDT by Jesse Keating
Modified: 2013-03-05 22:52 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 11:02:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2007-09-25 15:08:56 EDT
When I'm on battery, gnome power manager will forcefully set the brightness to
the level it wants, and not let me manually adjust using the brighness setting
buttons.  It will force the brightness back down as soon as I try to adjust.

Even worse, even if I set the setting to dim 0% it will /still/ force the
backlight into it's lowest setting as soon as I try to adjust.  I have to
re-open gnome-power-preferences and it'll jump back up to 100% bright.  This is
extremely frustrating.
Comment 1 Jeremy Katz 2007-10-01 12:48:12 EDT
I can reproduce this even with ac power plugged in.  Adjusting downwards works,
going back up resets to zero.  This is with the Fujitsu test laptop at my desk.
 I don't see on the laptop I use most of the time since hal doesn't see the
panel and so g-p-m doens't try to do anything with the backlight
Comment 2 Warren Togami 2007-10-02 11:48:18 EDT
Thinkpad T60 is also affected.  This makes gnome-power-manager too annoying to
use for me.
Comment 3 David Zeuthen 2007-10-02 11:55:33 EDT
Adding the upstream maintainer to Cc.
Comment 4 Warren Togami 2007-10-02 13:40:24 EDT
Many laptops successfully handle their own brightness adjustments when on AC or
battery.  Some laptops don't.

Why not disable gnome-power-manager's fscking with the brightness by default,
and whitelist laptops who need it?
Comment 5 Jesse Keating 2007-10-02 14:12:56 EDT
It's different than that.  You may still want autodimming when inactive and
such.  Basically the division is the groups of laptops where keyboard adjustment
of the brightness emits a keycode and those that don't.  Those that don't should
be blacklisted from having gpm try to do anything with the brightness as it
can't ever have an accurate idea of what the state is.  Those that do emit a
keystroke should be fine so long as hal, et al know about it and can track it. 
Of course this just needs more infrastructure in hal(-info) I do believe, not
something we can just toss together for F8.  For F8 I would propose we just
disable this feature by default in g-p-m, and try again in F9 with hal support
for blacklisting sets of hardware.
Comment 6 Bill Nottingham 2007-10-08 15:04:15 EDT
When you say 'manually', are you uisng keys or the applet?
Comment 7 Warren Togami 2007-10-08 15:11:14 EDT
Keys.
Comment 8 David Zeuthen 2007-10-09 11:02:28 EDT
I think just unchecking the "Dim when idle" checkbox will make g-p-m DTRT.
Please reopen if this isn't the case.

Note You need to log in before you can comment on or make changes to this bug.